<?php
	//Pedro 27/Agosto/2019
		//Aquí el botón de finalizar lo que hará será terminar con el pedido:
	//$variable = $me->getDefaultValue('nombre', valor);
	
$id_txt_finalizar = RemoteRequest::generateRandomString(6);
$id_btn_finalizar = RemoteRequest::generateRandomString(6);


//Vamos a crear un script:
ob_start();


?>
<script>
$('#<?=$id_btn_finalizar;?>').hide();
$('#<?=$id_txt_finalizar;?>').show();

WS_data_update(
	'CabeceraCesta',
	'finish',
	{},
	'',
	function(data){
		var objeto_pedido = JSON.parse(data.response);
		objeto_pedido = objeto_pedido.objeto_pedido;
		var numero_pedido = objeto_pedido.numero_pedido;
		window.location.href = '<?=Shop::$configuracion->url . 'finalizar_compra/';?>' + numero_pedido;
	}
);

</script>
<?php
$script = ob_get_clean();
$script = WSMinificator::removeTag(array('<script>', '</script>'), $script);
$script = WSMinificator::simpleClean($script);
?>
<div class="boton_finalizar" >
	<div class="clase_estado_cesta" style="display:none;" id="<?=$id_txt_finalizar;?>"> <p class="alert alert-success"><?=traducir('Finalizando compra. Espera por favor.');?></p></div>
	<button type="button" id="<?=$id_btn_finalizar;?>" name="continuar" class="boton btn" onclick="<?=$script;?>">
		<span><?=traducir('Finalizar compra');?></span>
	</button>
</div>